@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=EB+Garamond:ital,wght@0,400;0,700;1,400;1,700&display=swap");

.roboto-uniquifier {
  font-family: "Roboto", sans-serif;
}
.google-uniquifier {
  font-family: "Google Sans", sans-serif;
}
.ebgaramond {
  font-family: "EB Garamond", serif;
}
.lato-uniquifier {
  font-family: "Lato", sans-serif;
}

:root {
  --moshimo-color: rgb(238, 23, 58);
}
button {
  all: unset;
}
img {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
* {
  margin: 0;
  box-sizing: content-box;
}
body {
  background-color: rgb(0, 0, 0);
  overflow-x: hidden;
}

/* ============================= */
/* Header                        */
/* ============================= */
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: max(9vh, 120px);
}
#logo {
  position: absolute;
  left: 2%;
  display: flex;
  align-items: center;
  justify-content: center;
}

#logo img {
  max-width: 500px;
  width: 50vw;
  height: auto;
  min-width: 140px;
}
.spacer {
  width: 40px;
}
@media (max-width: 480px) {
  #logo img {
    min-height: 40px;
  }
}

/* ============================= */
/* Home Screen + Booking Btn     */
/* ============================= */

.first-container {
  background-image: url("../images/indoor1.jpg");
  background-position: center;
  background-size: cover;
  height: 80vh;
  margin: 0 0 50px 0;
  position: relative;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
}
#moshiname {
  position: relative;
  font-family: "Roboto";
  font-weight: 400;
  color: rgb(255, 255, 255);
  text-shadow: 0 0 2px rgba(0, 0, 0, 0.545);
  font-size: clamp(15dvw, 15vw, 20dvw);
  opacity: 0;
  transform: translateY(50px);
  transition: 0.5s ease;
}
#moshiname.visible {
  opacity: 1;
  transform: translateY(0);
}

#box1 {
  width: auto;
  min-width: 100px;
  max-width: 350px;
  height: auto;
  padding: 15px 55px 15px 55px;
  bottom: 10vh;
  position: absolute;
  border: 2px solid black;
  border-radius: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.35);
  backdrop-filter: blur(1px);
  -webkit-backdrop-filter: blur(1px);
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.555);
  transition: 0.2s ease;
}

#box1 a {
  font-family: "Lato";
  font-size: 1.4em;
  color: rgba(0, 0, 0, 0.735);
  /* text-shadow: 0 0 5px black; */
  text-align: center;
  overflow: hidden;
  white-space: nowrap;
  text-decoration: none;
}
@media (max-width: 600px) {
  #box1 {
    font-size: 0.7em;
  }
}
#box1:hover {
  transform: scale(1.1);
  background: rgba(255, 255, 255, 0.8);
}
#box1:hover a {
  color: #000000;
}
/* ============================= */
/* Membership                    */
/* ============================= */
.second-container {
  background:
    linear-gradient(135deg, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.1)),
    url("../images/boat1.jpg") center/cover no-repeat;
  background-position: center;
  background-size: cover;
  height: 80vh;
  margin: 20px 0 0 0;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  overflow: hidden;
}
.membership-title,
.fifty-percent {
  position: absolute;
  color: rgb(237, 17, 17);
  font-family: "Lato";
  text-shadow:
    0 0 16px black,
    0 0 5px black;
  display: inline-block;
  opacity: 0;
  transition:
    transform 1s ease,
    opacity 1s ease;
}
.alt-colour {
  color: white;
}
.membership-title:hover,
.fifty-percent:hover {
  animation: jiggle 0.7s ease-in-out infinite;
}
@keyframes jiggle {
  0% {
    transform: translate(0, 0) rotate(0deg);
  }
  20% {
    transform: translate(-1px, 1px) rotate(-1deg);
  }
  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }
  60% {
    transform: translate(-1px, -1px) rotate(-1deg);
  }
  80% {
    transform: translate(1px, 1px) rotate(1deg);
  }
  100% {
    transform: translate(0, 0) rotate(0deg);
  }
}
.membership-title {
  bottom: 10%;
  right: 10%;
  font-size: clamp(2.3em, 4vw, 5em);
  transform: translateX(100%);
}
.fifty-percent {
  position: absolute;
  top: 10%;
  left: 10%;
  transform: translateX(-30%);
  font-size: clamp(5em, 13vw, 15em);
}
.fifty-percent.visible {
  position: absolute;
  transform: translateX(0);
  opacity: 1;
}
.membership-title.visible {
  transform: translateX(0);
  opacity: 1;
}
#membership-description {
  position: relative;
  height: 600px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding: 0 40px 0 40px;
  margin-bottom: 90px;
  overflow: auto;
}
#membership-description::before {
  content: "";
  position: absolute;
  inset: 0;
  background: url("../images/membership-card.png") center/cover no-repeat;
  opacity: 0.3;
  z-index: -1;
  transition: opacity 0.3s ease;
}
@media (max-width: 600px) {
  #membership-description {
    height: 55vh;
  }
}
#membership-description p {
  color: white;
  font-family: "Lato";
  font-size: clamp(1.2em, 3vw, 2em);
  text-shadow: 0 0 8px black;
}
#membership-description h3 {
  color: white;
  font-family: "Lato";
  font-size: 2em;
  text-shadow:
    0 0 8px black,
    1 1 2px black;
}

.become-member {
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  position: relative;
  width: 70vw;
  margin-left: 15vw;
}
.become-member > * {
  height: 100px;
  font-family: "Lato";
  letter-spacing: 2px;
  font-size: clamp(1em, 4vw, 2em);
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  z-index: 5;
  color: white;
  text-shadow: 1px 1px 8px rgba(246, 58, 58, 0.91);
}
.alt-size-member {
  font-size: clamp(0.6em, 3vw, 1em);
  text-decoration: none;
  display: inline-flex;
  align-items: center;
}
.become-member > *::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  height: 2px;
  background-color: var(--moshimo-color);
}
.membership-block:has(.become-member:hover) #membership-description::before {
  opacity: 1;
  z-index: 2;
}
.membership-block:has(.become-member:hover) .become-member > *::after {
  background-color: rgba(0, 0, 0, 0.895);
}
/* ============================= */
/* Membership floating btn       */
/* ============================= */

a#floating-membership {
  font-family: "Roboto";
  font-size: 1.2rem;
  border: 1px solid black;
  box-shadow: 1px 1px 4px black;
  display: inline-block;
  height: 50px;
  width: 150px;
  border-radius: 50px;
  background-color: rgb(199, 29, 29);
  color: rgb(255, 255, 255);
  text-decoration: none;
  position: fixed;
  right: 5vw;
  bottom: 5vw;
  z-index: 1000;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: transform 0.2s ease;
}
a#floating-membership:hover {
  transform: scale(1.1);
}

/* ============================= */
/* Menu Grid                     */
/* ============================= */
.menus {
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 40px;
}
.menus p {
  font-family: "Roboto";
  color: white;
  font-size: 5em;
  letter-spacing: 6px;
  text-shadow: 2px 2px 8px rgb(246, 58, 58);
}
.grid {
  height: 800px;
  width: 90vw;
  position: relative;
  margin: 0 auto;
  display: grid;
  grid-auto-columns: 1fr;
  grid-auto-rows: 1fr;
  grid-template-areas:
    "box-1 box-2 box-3"
    "box-1 box-4 box-4";
  gap: 20px;
  margin-bottom: 100px;
}

.grid > a {
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: black;
  transition: 0.3s ease;
  border-radius: 10px;
}
#menu1::before {
  background-image: url(../images/moshimo-dishes-feast.JPG);
}
#menu2::before {
  background-image: url(../images/cocktail-raspberry-daiquiri.jpg);
}
#menu3::before {
  background-image: url(../images/take-away-platter.jpg);
}
#menu4::before {
  background-image: url(../images/sushi-takeaway.jpg);
}

#menu1,
#menu2,
#menu3,
#menu4 {
  position: relative;
  box-shadow: 0 0 10px black;
}
#menu1::before,
#menu2::before,
#menu3::before,
#menu4::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  opacity: 0.9;
  z-index: 0;
  transition: opacity 0.3s;
  border-radius: 10px;
}
#menu1:hover::before,
#menu2:hover::before,
#menu3:hover::before,
#menu4:hover::before {
  opacity: 1;
}

#menu1 p,
#menu2 p,
#menu3 p,
#menu4 p {
  padding: 15px;
  font-size: 2.5em;
  position: absolute;
  bottom: 40%;
  color: white;
  font-family: "Roboto";
  z-index: 1;
  text-shadow: 0 0 12px black;
}
@media (max-width: 600px) {
  .grid {
    grid-template-areas:
      "box-1 box-2"
      "box-3 box-4";
    grid-auto-columns: 1fr;
    grid-auto-rows: 1fr;
  }
  #menu1 p,
  #menu2 p,
  #menu3 p,
  #menu4 p {
    font-size: 1.6em;
  }
}
.grid > a:hover {
  transform: scale(1.05);
  z-index: 10;
}

/* ============================= */
/* Temaki Party                  */
/* ============================= */

.temaki-party {
  background: url("../images/temaki-party.jpg") center/cover no-repeat;
  height: 70vh;
  margin-top: 80px;
  position: relative;
  display: flex;
  justify-content: center;
}

.temaki h3 {
  display: flex;
  justify-content: center;
  font-family: "Roboto";
  white-space: nowrap;
  color: white;
  font-size: clamp(3.5em, 10vw, 8em);
  letter-spacing: 6px;
  padding-top: 50px;
  text-shadow: 0px 0px 8px rgb(0, 0, 0);
  margin: 50px 50px 50px;
  opacity: 0.1;
  transition: 0.6s ease-in;
}
.temaki-party h3.visible {
  opacity: 1;
}

#book-temaki-button {
  width: auto;
  min-width: 100px;
  max-width: 350px;
  height: auto;
  padding: 15px 105px 15px 105px;
  bottom: 10vh;
  position: absolute;
  border: 2px solid black;
  border-radius: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(255, 255, 255, 0.35);
  backdrop-filter: blur(1px);
  -webkit-backdrop-filter: blur(1px);
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.555);
  transition: 0.2s ease;
}

@media (max-width: 1000px) {
  #book-temaki-button {
    font-size: 0.7em;
  }
}
#book-temaki-button a {
  font-family: "Lato";
  font-size: clamp(16px, 1.7em, 100px);
  color: rgb(255, 255, 255);
  text-shadow: 0 0 5px black;
  padding: 2px;
  text-align: center;
  overflow: hidden;
  white-space: nowrap;
  text-decoration: none;
}
#book-temaki-button:hover {
  transform: scale(1.1);
  background: rgba(255, 255, 255, 0.8);
}

.temaki-presentation {
  height: auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  z-index: 10;
}
.temaki-presentation div {
  height: 50vw;
}

.temaki-presentation div p {
  padding: 5%;
}
.temaki-presentation img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
@media (max-width: 800px) {
  .temaki-presentation {
    grid-template-columns: 1fr;
    grid-template-areas:
      "t-box-1"
      "t-box-2"
      "t-box-4"
      "t-box-3";
  }
  .temaki-presentation .t-box-1 {
    grid-area: t-box-1;
  }
  .temaki-presentation .t-box-2 {
    grid-area: t-box-2;
  }
  .temaki-presentation .t-box-3 {
    grid-area: t-box-3;
  }
  .temaki-presentation .t-box-4 {
    grid-area: t-box-4;
  }
  .temaki-presentation div {
    height: 100vw;
  }
}
@media (min-width: 1800px) {
  .temaki-presentation {
    grid-template-columns: repeat(4, 1fr);
  }

  .temaki-presentation div {
    height: 25vw;
  }
}

.t-box-1,
.t-box-4 {
  display: flex;
  justify-content: space-evenly;
  flex-direction: column;
  align-items: center;
  text-align: center;
}
.temaki-presentation p {
  color: rgb(255, 255, 255);
  font-family: "Lato";
}
.temaki-presentation .t-box-1 p {
  font-size: clamp(1.2em, 2.8vw, 1.5em);
  white-space: nowrap;
}

.temaki-presentation .t-box-4 p {
  padding: min(7vw, 50px);
  font-size: clamp(1.2em, 2.8vw, 1.5em);
}

.alt-colour-temaki {
  color: var(--moshimo-color);
}

.temaki-options {
  display: flex;
  justify-content: center;
}
.temaki-options > * {
  position: relative;
  width: 40vw;
  height: 80px;
  font-family: "Lato";
  font-size: 1em;
  text-decoration: none;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  z-index: 5;
  color: white;
}
.temaki-options > *::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 60%;
  height: 2px;
  background-color: gold;
}
.temaki-options .visible {
  background-color: gold;
  color: black;
}
@media (hover: hover) {
  .temaki-options > a:hover,
  .temaki-options > button:hover {
    background-color: gold;
    color: black;
  }
}
.temaki-options > button {
  cursor: pointer;
}

.temaki-info {
  max-height: 0;
  overflow: hidden;
  margin-bottom: 50px;
  transition: 0.5s ease;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
}
.temaki-info p {
  margin: 0 100px 0 100px;
  margin: 0;
  width: 100%;
  padding: 20px 5vw 20px 5vw;
  box-sizing: border-box;
  border-bottom: 2px solid gold;
  text-align: center;
  font-size: clamp(1em, 2vw, 1.3em);
  color: white;
  font-family: "Lato", "Roboto", sans-serif;
}
#birthday-temaki {
  font-weight: bold;
}

.temaki-info.visible {
  max-height: 2000px;
}
/* ============================= */
/* Gift Card                     */
/* ============================= */

.giftcards {
  height: auto;
  background-color: rgb(26, 25, 25);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  overflow: hidden;
  padding: 60px;
  gap: 30px;
}

.giftcards-info {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  padding-left: 30px;
  color: white;
  font-family: "Lato", sans-serif;
  height: 250px;
  width: 400px;
}

.giftcards-info h3 {
  font-size: 2em;
}
.giftcards img {
  box-shadow: 1px 1px 15px rgba(0, 0, 0, 0.344);
  border-radius: 5px;
  width: clamp(320px, 40vw, 500px);
  height: 1 1 auto;
}
.giftcards-info a {
  background-color: red;
  width: 100px;
  text-align: center;
  padding: 10px;
  box-shadow: 1px 1px 5px black;
  border-radius: 10px;
  font-family: "Lato", sans-serif;
  cursor: pointer;
  text-decoration: none;
  color: white;
}
.giftcards-info a:hover {
  background-color: rgb(215, 2, 2);
}

/* ============================= */
/* Instagram Caroussel           */
/* ============================= */

.social-insta {
  font-family: "Google Sans";
  font-size: 2em;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
  height: 150px;
  color: rgba(234, 27, 27, 0.909);
}
.social-insta a {
  color: rgba(255, 33, 33, 0.828);
  text-decoration: none;
  transition: 0.3s ease;
}
.social-insta a:hover {
  transform: scale(2) rotate(25deg);
  color: rgba(248, 38, 38, 0.935);
  text-shadow: 0 0 3xrgb (249, 79, 79);
}
#insta-logo {
  display: inline;
  font-size: 50px;
}

.carousel {
  width: 100%;
  overflow: hidden;
  margin-bottom: 100px;
  margin-top: 30px;
  mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 10%,
    black 90%,
    transparent 100%
  );
  -webkit-mask-image: linear-gradient(
    to right,
    transparent 0%,
    black 10%,
    black 90%,
    transparent 100%
  );
}
.track {
  display: flex;
  gap: 20px;
  width: max-content;
}

.track img {
  width: 300px;
  height: 300px;
  object-fit: cover;
  flex-shrink: 0;
  border-radius: 12px;
  transition: 0.3s ease;
}
.track:hover img {
  opacity: 0.7;
}
.track img:hover {
  opacity: 1;
}

/* ============================= */
/* Vouchers                      */
/* ============================= */

.vouchers {
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
  background-color: rgb(36, 36, 36);
  padding: 30px 0 30px 0;
}

.vouchers-panels {
  padding: 2.5vw;
  position: relative;
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
  width: 95vw;
}

.vouchers-option > img {
  height: 150px;
  width: auto;
  object-fit: cover;
  display: block;
  border-radius: 15px 15px 0 0;
}
.vouchers-option {
  margin: 40px 20px 40px 20px;
  display: flex;
  flex-direction: column;
  border-radius: 15px;
  width: 320px;
  transition: 0.1s ease-in;
}
.vouchers-option:hover {
  transform: scale(1.1);
}
.vouchers-description {
  background-color: white;
  border-radius: 0 0 15px 15px;
  height: 200px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 20px;
  font-family: "Lato", sans-serif;
}
.vouchers-description h4 {
  font-size: 1.3em;
}
.vouchers-description p:nth-child(2) {
  font-style: italic;
  font-size: 0.8em;
}
.vouchers-description a {
  background-color: red;
  color: white;
  width: 90%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  border-radius: 25px;
  padding: 10px;
}

/* ============================= */
/* Footer                        */
/* ============================= */

.footer {
  height: 400px;
  width: 100vw;
  /* color: #222222; */
  color: #e9e8e8;
  background-color: rgb(215, 44, 44);
  display: flex;
  align-items: center;
  justify-content: center;
}
.foot {
  height: 80%;
  width: 90%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  font-size: large;
  font-style: normal;
  text-decoration: none;
  font-family: "Google Sans";
}
.foot a {
  text-decoration: none;
  color: #e9e8e8;
}
.foot h4 {
  font-size: 1.5em;
}

#deliveroo {
  height: 20px;
  position: relative;
  top: 3px;
}

#social a {
  display: inline-block;
  margin-right: 20px;
}
